<?php
/**
 *----------------------------------------------------------------------------
 * iCagenda     Events Management Extension for Joomla!
 *----------------------------------------------------------------------------
 * @version     3.8.2 2022-03-03
 *
 * @package     iCagenda.Site
 * @subpackage  tmpl.events
 * @link        https://www.icagenda.com
 *
 * @author      Cyril Rezé
 * @copyright   (c) 2012-2022 Cyril Rezé / iCagenda. All rights reserved.
 * @license     GNU General Public License version 3 or later; see LICENSE.txt
 *
 * @since       3.4.1
 *----------------------------------------------------------------------------
*/

defined('_JEXEC') or die;

use iClib\Color\Color as iCColor;
use Joomla\CMS\HTML\HTMLHelper;

$catids     = array();
$categories = array();
$showTitle  = (bool) \in_array('1', $this->cat_options);
$showDesc   = (bool) \in_array('2', $this->cat_options);

if ($this->items && $this->cat_description && \count($this->getAllDates) > 0
	&& ($showTitle || $showDesc)
	)
{
	foreach ($this->items AS $cat)
	{
      	if (!\in_array($cat->cat_id, $catids))
		{
			$catids[] = $cat->cat_id;

			$catData = array();

			$catData['title']    = $cat->cat_title;
			$catData['color']    = $cat->cat_color;
			$catData['desc']     = $cat->cat_desc ? HTMLHelper::_('content.prepare', $cat->cat_desc, $this->params, 'com_icagenda.events') : ' ';
			$catData['contrast'] = (iCColor::getBrightness($cat->cat_color) == 'bright') ? ' fontColor' : '';

			$categories[$cat->cat_id] = $catData;
		}
	}

	if (\count($categories))
	{
		echo '<div class="ic-header-categories ic-clearfix">';

		foreach ($categories as $cat => $data)
		{
			if ($showTitle)
			{
				echo '<div class="cat_header_title' . $data['contrast'] . '"';
				echo ' style="background:' . $data['color'] . ';">' . $data['title'];
				echo ' </div>';
			}

			if ($showDesc)
			{
				echo '<div class="cat_header_desc">' . $data['desc'] . '</div>';
			}
		}

		echo '</div>';
	}
}
